Package twisted :: Package python :: Module runtime :: Class Platform |
[frames | no frames]

## Class Platform

Gives us information about the platform we're running on

Method Summary
| `__init__(self)`
| ``getType`(self)` Return 'posix', 'win32' or 'java'
| ``isKnown`(self)` Do we know about this platform?
| ``isMacOSX`(self)` Return if we are runnng on Mac OS X.
| ``isWinNT`(self)` Are we running in Windows NT?

Method Details

### getType(self) Return 'posix', 'win32' or 'java'

### isKnown(self) Do we know about this platform?

### isMacOSX(self) Return if we are runnng on Mac OS X.

### isWinNT(self) Are we running in Windows NT?

Generated by Epydoc 2.0 on Sat Oct 25 00:54:49 2003 | http://epydoc.sf.net